Bug 507265 - hplip requires powering off/on hp laserjet 1018 after login [NEEDINFO]
hplip requires powering off/on hp laserjet 1018 after login
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-21 23:07 EDT by JES
Modified: 2010-06-28 09:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:12:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
twaugh: needinfo? (jorge_estrela)


Attachments (Terms of Use)
Extract from /var/log/messages (8.08 KB, text/plain)
2009-06-21 23:07 EDT, JES
no flags Details
segfault on system-config-printer (10.60 KB, text/plain)
2009-06-22 09:40 EDT, JES
no flags Details

  None (edit)
Description JES 2009-06-21 23:07:25 EDT
Created attachment 348843 [details]
Extract from /var/log/messages

My hp laserjet 1018 behaves has "not connected" if I don't restart it after logging to the workspace.

I run hp-setup (from hplip-3.9.2-4.fc11.x86_64) once to install required plugin.


Additional info:

Did some digging and this problem reminds me of bug 479648.
Comment 1 Tim Waugh 2009-06-22 04:48:15 EDT
At the point where you have the 'Not connected' message, please run the printing troubleshooter (System->Administration->Printing, then Help->Troubleshoot).  Follow the on-screen instructions, except that you do not need to attempt to print a test page (just click Next), and attach the resulting troubleshoot.txt file here.  Thanks.
Comment 2 JES 2009-06-22 09:40:54 EDT
Created attachment 348900 [details]
segfault on system-config-printer
Comment 3 JES 2009-06-22 09:54:16 EDT
I started the troubleshooter, but: 
- As a normal user, system-config-printer hangs when I click the "enable debugging" button (after asking for root password); there's a phyton process using 100% cpu after that.
- As root, I get a segmentation fault immediately after selecting the printer and hitting the "forward" button. Added the console output in attach.

Additional info:
- All updates done (yum update -y).
- The printer's red led blinks prior to graphical login screen appears. 
- SELinux is disabled
- uri: "hp:/usb/HP_LaserJet_1018?serial=KP2444Q"; driver: "HP Laserjet 1018 hpijs, hpijs 3.9.2 [en]"
- Sometimes the "Enabled" checkbox (on system-config-printer) gets unchecked. 
- There's an automatically created printer that I renamed to "dummy-hp1018" with uri: usb://HP/LaserJet%201018
Comment 4 Tim Waugh 2009-06-22 10:44:09 EDT
Use this:

  yum --enablerepo=updates-testing update 'system-config-printer*'

This should update to 1.1.8.  After that, please try the troubleshooter again.  Thanks.
Comment 5 Tim Waugh 2009-06-29 07:50:41 EDT
I'm trying to work out if this bug is different from bug #505647.
Comment 6 Bug Zapper 2010-04-27 11:08:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 09:12:21 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.